
<div class="example-container mat-elevation-z8" >
  <table mat-table [dataSource]="dataSource" *ngIf="dataSource">

    <!-- Name Column -->
    <ng-container matColumnDef="date">
      <th mat-header-cell *matHeaderCellDef> Fecha </th>
      <td mat-cell *matCellDef="let element"> {{element.date| date}} </td>
    </ng-container>

    <!-- Weight Column -->
    <ng-container matColumnDef="hourOfDay">
      <th mat-header-cell *matHeaderCellDef> Hora del Día </th>
      <td mat-cell *matCellDef="let element"> <mat-icon aria-hidden="false" aria-label="Example home icon">{{element.hourOfDay=='am'?'wb_sunny':'nights_stay'}}</mat-icon> </td>
    </ng-container>

    <!-- Symbol Column -->
    <ng-container matColumnDef="sugarValue">
      <th mat-header-cell *matHeaderCellDef> Valor </th>
      <td mat-cell *matCellDef="let element"> {{element.sugarValue}} </td>
    </ng-container>

    <ng-container matColumnDef="actions">
      <th mat-header-cell *matHeaderCellDef> Acciones </th>
      <td mat-cell *matCellDef="let element">
        <button mat-icon-button  routerLink="/update/{{element.id}}" color="primary" aria-label="Example icon button with a home icon">
          <mat-icon>edit</mat-icon>
        </button>
        <button mat-icon-button (click)="handleDelete(element)" color="secondary" aria-label="Example icon button with a home icon">
          <mat-icon>delete</mat-icon>
        </button>
      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>
  <mat-paginator [pageSizeOptions]="[10, 20]" showFirstLastButtons></mat-paginator>
</div>


<ng-template #modal>
  <div mat-dialog-content>
    <p>Seguro que deseas eliminar este regsitro?</p>
  </div>
  <div mat-dialog-actions>
    <button mat-button (click)="onDeleteCancel()" cdkFocusInitial>No</button>
    <button mat-button (click)="onDeleteConfirm()" color="warn">Sí</button>
  </div>
</ng-template>
